function G_xx = g_xx_int_trap(o,p,q,r,s,x,y)
%
% Computes the integral of Green's function g_xx for a trapezoidal area to the right of the 
% fault. 
%
% Jan Dirk Jansen, TU Delft, August 2022
%
theta = atan2((s-r),(p-o));

% Eq. (SI 38) of Jansen et al. (2019):
G_xx = (1/2) * log( ( (y-r).^2+(x-r*cot(theta)).^2 ) ./ ( (y-s).^2+(x-s*cot(theta)).^2 ) ) * sin(theta)*cos(theta) ...
     + atan2( ( (r-s)*(x-q) ) , ( (x-q).^2+(y-r).*(y-s) ) ) ...
     - atan2( ( (s-r)*(y*cot(theta)-x) ) , ( x.^2+y.^2+r*s*(csc(theta)).^2-(r+s)*(y+x*cot(theta))  )  ) * sin(theta)^2;
    