function G_yy = g_yy_int_triang(o,p,r,s,x,y)
% Computes the integral of Green's function g_yy for a triangular area to the right of the
% fault with o <= xi/tan(theta) <= zeta <= p (in the x direction) and r <= xi <= s (in the y
% direction), 
%
% Jan Dirk Jansen, TU Delft, August 2022
%
theta = atan2((s-r),(p-o));

% Eq. (SI 36) of Jansen et al. (2019):
G_yy = (1/2) * log( ( (x-p)^2+(y-p*tan(theta))^2 ) / ( (x-o)^2+(y-o*tan(theta))^2 ) ) * sin(theta)*cos(theta) ...
     - atan2( ( (o-p)*(y-r) ) , ( (y-r)^2+(x-p)*(x-o) ) ) ...
     - atan2( ( (p-o)*(y-x*tan(theta)) ) , ( x^2+y^2+o*p*(sec(theta))^2-(p+o)*(x+y*tan(theta))  )  ) * cos(theta)^2;
    