function Psi = ifs_Psi(y,y_loc)
%
% Computes sqrt( abs( (y-y_loc(1)).*(y-y_loc(2)).*....* (y-y_loc(n)) ) ), where n is the
% number of elements in y_loc, for use in the inverse Cauchy integral formulation.      
%

if isrow(y); y = y'; end % ensures y is a column 
if iscolumn(y_loc); y_loc = y_loc'; end % ensures y_loc is a row

Psi = sqrt( abs( prod((y-y_loc),2) ) );
