function numpar = ifs_compute_points(flag,numpar,y_til)
%
% Computes total number of Gauss-Chebyshev integration points N_cheb (distributed over
% patches), and number of points N_bot, N_top and N_mer per patch.
%

% Compute number of points N_cheb:
if flag.N_cheb == 0 % fixed number of points is used for all values of depletion/injection
    N_cheb = numpar.N_cheb; % number of points, -
else % an increasing number of points is used for increasing values of depletion/injection
    N_cheb_max = numpar.N_cheb_max; % maximum number of integration points, -
    N_cheb_min = numpar.N_cheb_min; % minimum number of integration points, -
    N_cheb_unit = numpar.N_cheb_unit; % av. nr. of integr. pts. per unit height, 1/m, -
    L = (y_til(2)-y_til(1))+(y_til(4)-y_til(3));
    N_cheb = min(max(ceil(N_cheb_unit*L),N_cheb_min),N_cheb_max); % number of points, -
end
% Compute number of points per patch:
N_bot = round(N_cheb/2); % number of points for bottom patch, -
N_top = N_cheb - N_bot; % number of points for top patch, -
N_mer = N_cheb-1; % number of points for merged patches, -
numpar.N_cheb = N_cheb;
numpar.N_bot = N_bot;
numpar.N_top = N_top;
numpar.N_mer = N_mer;
