function res = ifs_opt_int(L_1,L_2,N_1,N_tot)
%
% Provides residual for computation of optimal number of integration points for split-interval
% quadrature. Assumes that both intervals contain first-kind Chebyshev points. 
%
% L_1, L_2 = lengths of integration intervals
% N_1 = number of Chebyshev points for interval 1 (to be optimized)  
% N_tot = total number of Chebyshev points for both intervals (given)
%

N_2 = N_tot-N_1; % number of Chebyshev points for interval 2
res =  L_1 * ( cos( 0.5*pi/N_1 )-cos( 1.5*pi/N_1 ) ) - ...
       L_2 * ( cos( 0.5*pi/N_2 )-cos( 1.5*pi/N_2 ) );

