function data = ifs_patch_bounds_adu(data,flag,model,numpar,plotpar)
%
% Runs additional simulation for uncoupled slip patches, if required for plotting.
%

if flag.coupled == 1 && flag.plot_adu == 1
    if flag.echo > 0
        fprintf('\rAdditional simulation for uncoupled slip patches:');
    end
    flag.coupled = 0; % temporarily reset to uncoupled
    sim_type_save = flag.sim_type; 
    flag.sim_type = 1; % temporarily reset
    plot_snap_save = 0;
    if flag.plot_snap == 1
        plot_snap_save = 1;
        flag.plot_snap = 0; % temporarily switch off triggering snap shot plots
    end
    data = ifs_patch_bounds(data,flag,model,numpar,plotpar);
    data.j_merge_y_unc = data.j_merge_y_til; % pressure step at which uncoupled slip ...
        % patches have merged, -
    data.p_unc = data.p_inc; 
    data.y_unc = data.y_til; % slip patch boundaries (uncoupled), m
    flag.coupled = 1; % restores to coupled
    flag.sim_type = sim_type_save; % restores
    flag.plot_snap = plot_snap_save; % restores
else
    data.j_merge_y_unc = 0; % dummy
    data.p_unc = 0; % dummy
    data.y_unc = 0; % dummy    
end
