function [data,flag] = ifs_patch_bounds_amu(data,flag,model,numpar,plotpar)
%
% Runs additional simulation for incorrect Mushkelishvili and Weertman results for coupled
% simulation, if required for plotting. 
%

if flag.coupled == 1 && flag.plot_amu == 1    
    if flag.echo > 0
        fprintf('\rAdditional simulations for Mushkelishvili and Weertman results:');
    end
    short_save = flag.short;
    flag.short = 1; % temporarily switch on short-cut computation of coupling
    % Compute (incorrect) Mushkelishvili results:
    flag.cond = 2; % see ifs_initialize
    data = ifs_patch_bounds(data,flag,model,numpar,plotpar);
    data.j_merge_y_mus = data.j_merge_y_til; % pressure step at which slip patches have ...
        % merged, -
    data.p_mus = data.p_inc; 
    data.y_mus = data.y_til; % slip patch boundaries (uncoupled), m
    % Compute (incorrect) Weertman results:
    flag.cond = 3;  % see ifs_initialize
    data = ifs_patch_bounds(data,flag,model,numpar,plotpar);
    data.j_merge_y_wee = data.j_merge_y_til; % pressure step at which slip patches have ...
        % merged, -
    data.p_wee = data.p_inc; 
    data.y_wee = data.y_til; % slip patch boundaries (uncoupled), m
    flag.cond = 1; % resets flag for conditions 
    flag.short = short_save; % resets flag for short-cut computation of coupling
else
    data.j_merge_y_mus = 0; % dummy
    data.p_mus = 0; % dummy
    data.y_mus = 0; % dummy    
    data.j_merge_y_wee = 0; % dummy
    data.p_wee = 0; % dummy
    data.y_wee = 0; % dummy    
end
