function [data,flag] = ifs_patch_bounds_asy(data,flag,model,numpar,plotpar)
%
% Runs additional simulation for symmetric configuration if required for plotting. 
%

if flag.coupled == 1 && flag.plot_asy == 1    
    if flag.echo > 0
        fprintf('\rAdditional simulation for symmetric configuration:');
    end
    sym_save = flag.sym;
    depdep_save = flag.sym;
    flag.sym = 1; % temporarily switch on symmetric configuration
    flag.depdep = 0; % temporarily switch off computation of depth-dependent initial ...
        % pressure and stresses (switching off is necessary for symmetry)  
        % 0 = depth-independent (for diagnostics)
        % 1 = depth-dependent (recommended for regular use)    
    % Compute (incorrect) Mushkelishvili results:
    data = ifs_patch_bounds(data,flag,model,numpar,plotpar);
    data.j_merge_y_sym = data.j_merge_y_til; % pressure step at which slip patches have ...
        % merged, -
    data.p_sym = data.p_inc; 
    data.y_sym = data.y_til; % slip patch boundaries (uncoupled), m
    flag.sym = sym_save; % resets flag for symmetry 
    flag.depdep = depdep_save; % resets flag for depth-dependency
else
    data.j_merge_y_sym = 0; % dummy
    data.p_sym = 0; % dummy
    data.y_sym = 0; % dummy    
end
