function ifs_plot_fault_blocks(model,plotpar,f_asp,offset,x_max,x_min,y_max,y_min) 
%
% Plots fault blocks as background in snap shot plots.
%

% Retrieve:
a = model.a; % height of reservoir bottom part (for positive x values) or reservoir ...
    % top part (for negative x values), m
b = model.b; % height of reservoir top part (for positive x values) or reservoir ...
    % bottom part (for negative x values), m
theta = model.theta; % dip angle, rad
gray = plotpar.colors.gray;

% Plot patches representing fault blocks:
f_stretch = f_asp * (x_max - x_min) / (y_max - y_min); % stretch factor
border = (x_max - x_min) / 300; % small value, to avoid plotting over frame
x_1 = x_min + border;
x_2 = x_min + border;
x_3 = x_min + offset + f_stretch * (a+b)/tan(theta);
x_4 = x_min + offset;
x_patch_left = [x_1 x_2 x_3 x_4];
y_patch_left = [-b a a -b];
patch(x_patch_left,y_patch_left,gray,'LineStyle','none')
hold on
x_1 = x_max - offset - f_stretch * (a+b)/tan(theta);
x_2 = x_max - offset;
x_3 = x_max - border;
x_4 = x_max - border;
x_patch_right = [x_1 x_2 x_3 x_4];
y_patch_right = [-a b b -a];
patch(x_patch_right,y_patch_right,gray,'LineStyle','none')

