function ifs_plot_layout_incl(a,b,c,d,flag,theta,x_plot_max,x_plot_min,y_plot_max,y_plot_min)
%
% Creates layout for plots corresponding to an inclined fault.
%
colorbar
axis off
ax1 = gca;
axes('Position',get(ax1,'Position'),...
    'XAxisLocation','bottom',...
    'YAxisLocation','left',...
    'Color','none');
axis([x_plot_min x_plot_max y_plot_min y_plot_max])
box on
xlabel('$\it x \; \rm (m)$','Interpreter','latex','FontSize',11)
ylabel('$\it y \; \rm (m)$','Interpreter','latex','FontSize',11)
% xlabel('$\it x \; \rm (m)$','Interpreter','latex','FontSize',16)
% ylabel('$\it y \; \rm (m)$','Interpreter','latex','FontSize',16)
e = a/tan(theta); % auxiliary variable
f = b/tan(theta); % auxiliary variable
x_bot = y_plot_min/tan(theta);
x_top = y_plot_max/tan(theta);
l = max(-c,x_plot_min); % left boundary for plotting contours
r = min(d,x_plot_max); % right boundary for plotting contours
line([f r],[b b],'Color','k','LineWidth',0.75) % contour of reservoir, top right
line([-e r],[-a -a],'Color','k','LineWidth',0.75) % bottom right
line([l e],[a a],'Color','k','LineWidth',0.75) % top left
line([l -f],[-b -b],'Color','k','LineWidth',0.75) % bottom left
if flag.inf == 0
    line([r r],[-a b],'Color','k','LineWidth',0.75) % right
    line([l l],[-b a],'Color','k','LineWidth',0.75) % left
end
line([x_bot x_top],[y_plot_min y_plot_max],'Color','k','LineWidth',1) % fault

