function ifs_plot_layout_vert(a,b,c,d,flag,x_plot_max,x_plot_min,y_plot_max,y_plot_min)
%
% Creates layout for plots corresponding to a vertical fault.
%
colorbar
axis off
ax1 = gca;
axes('Position',get(ax1,'Position'),...
    'XAxisLocation','bottom',...
    'YAxisLocation','left',...
    'Color','none');
axis([x_plot_min x_plot_max y_plot_min y_plot_max])
box on
xlabel('$\it x \; \rm (m)$','Interpreter','latex','FontSize',11)
ylabel('$\it y \; \rm (m)$','Interpreter','latex','FontSize',11)
l = max(-c,x_plot_min); % left boundary for plotting contours
r = min(d,x_plot_max); % right boundary for plotting contours
line([0 r],[b b],'Color','k','LineWidth',0.75) % contour of reservoir, top right
line([0 r],[-a -a],'Color','k','LineWidth',0.75) % bottom right
line([l 0],[a a],'Color','k','LineWidth',0.75) % top left
line([l 0],[-b -b],'Color','k','LineWidth',0.75) % bottom left
if flag.inf == 0
    line([r r],[-a b],'Color','k','LineWidth',0.75) % right
    line([l l],[-b a],'Color','k','LineWidth',0.75) % left
end
line([0 0],[y_plot_min y_plot_max],'Color','k','LineWidth',1) % fault
