% ifs_plot_snaps_post_Coulomb_Musk_Weert       
        
    subplot(1,3,1)
    hold on
    x_min = x_plot.min_sigma_C_1;
    x_max = x_plot.max_sigma_C_1;
    y_min = y_plot.min_sigma_1;
    y_max = y_plot.max_sigma_1;
    line([x_min x_max],[a a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-a -a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[b b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-b -b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[0 0],'LineStyle','-','Color',black,'LineWidth',0.5)
    line([0 0],[y_min y_max],'LineStyle','-','Color',black,'LineWidth',0.5)
    line([x_min x_max],[y_pre_snap(4,i_snap_ref) y_pre_snap(4,i_snap_ref)],'LineStyle','-'...
        ,'Color',green,'LineWidth',1.0)
    line([x_min x_max],[y_pre_snap(3,i_snap_ref) y_pre_snap(3,i_snap_ref)],'LineStyle','-',...
        'Color',green,'LineWidth',1.0)
    line([x_min x_max],[y_pre_snap(2,i_snap_ref) y_pre_snap(2,i_snap_ref)],'LineStyle','-',...
        'Color',green,'LineWidth',1.0)
    line([x_min x_max],[y_pre_snap(1,i_snap_ref) y_pre_snap(1,i_snap_ref)],'LineStyle','-',...
        'Color',green,'LineWidth',1.0)
    line([x_min x_max],[y_til_snap(4,i_snap_ref) y_til_snap(4,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    line([x_min x_max],[y_til_snap(3,i_snap_ref) y_til_snap(3,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    line([x_min x_max],[y_til_snap(2,i_snap_ref) y_til_snap(2,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    line([x_min x_max],[y_til_snap(1,i_snap_ref) y_til_snap(1,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    plot(sigma_C(:,i_snap_ref)/1e6,y_sigma(:,i_snap_ref),'LineStyle','-','Color',red,...
        'LineWidth',1.5) % pre-slip Coulomb stress for reference pressure
    plot(sigma_brv(:,i_snap_ref)/1e6,y_sigma(:,i_snap_ref),'LineStyle','-','Color',green,...
        'LineWidth',1.5) % slip-induced stress
    plot((sigma_C(:,i_snap_ref)+sigma_brv(:,i_snap_ref))/1e6,y_sigma(:,i_snap_ref),...
        'LineStyle','-','Color',blue,'LineWidth',1.5) % post-slip Coulomb stress    
    hold off
    ifs_plot_text_pre_slip % indicates y_1 ... y_4 on plot 
    ifs_plot_text_post_slip % indicates y_tilde_1 ... y_tilde_4 on plot 
    switch flag.plot_nota
        case 0
            xlabel('$\Sigma_C, \breve \sigma_{\parallel}, \breve\Sigma_C$ (MPa)',...
                'Interpreter','latex','FontSize',11)
        case 1
            xlabel('$\tau_C, \breve \tau, \breve\tau_C$ (MPa)','Interpreter','latex',...
                'FontSize',11)
    end
    ylabel('$\it y$ (m)','Interpreter','latex','FontSize',11)
    axis([x_min x_max y_min y_max])
    if flag.plot_cap == 1
        [t,s] = title('plot\_snaps','Stresses'); % first line: plot file locator
        t.Color = red;
        t.FontSize = 10;
        s.FontSize = 10;
        t.FontWeight = 'normal';
        s.FontWeight = 'normal';
    end
    box on
    
    subplot(1,3,2)
    hold on
    x_min = x_plot.min_gr_delta; % mm/m
    x_max = x_plot.max_gr_delta; % mm/m
    y_min = y_plot.min_delta_1;
    y_max = y_plot.max_delta_1;
    line([x_min x_max],[a a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-a -a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[b b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-b -b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[0 0],'LineStyle','-','Color',black,'LineWidth',0.5)
    line([0 0],[y_min y_max],'LineStyle','-','Color',black,'LineWidth',0.5)
    if flag.coupled == 1 && flag.plot_amu == 1 % triggers additional plotting of incorrect ...
            % results
        line([x_min x_max],[y_til_mus(2) y_til_mus(2)],'LineStyle','-',...
            'Color',orange,'LineWidth',1.0)
        line([x_min x_max],[y_til_mus(3) y_til_mus(3)],'LineStyle','-',...
            'Color',orange,'LineWidth',1.0)
        line([x_min x_max],[y_til_wee(2) y_til_wee(2)],'LineStyle','-.',...
            'Color',orange,'LineWidth',1.0)
        line([x_min x_max],[y_til_wee(3) y_til_wee(3)],'LineStyle','-.',...
            'Color',orange,'LineWidth',1.0)
    end
    line([x_min x_max],[y_til_snap(4,i_snap_ref) y_til_snap(4,i_snap_ref)],'LineStyle','-'...
        ,'Color',blue,'LineWidth',1.0)
    line([x_min x_max],[y_til_snap(3,i_snap_ref) y_til_snap(3,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    line([x_min x_max],[y_til_snap(2,i_snap_ref) y_til_snap(2,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    line([x_min x_max],[y_til_snap(1,i_snap_ref) y_til_snap(1,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    if flag.coupled == 1 && flag.plot_amu == 1 % triggers additional plotting of incorrect ...
            % results
        plot(grad_mus*1e3,y_delta_mus,'LineStyle','-','Color',orange,...
            'LineWidth',1.5) % incorrect slip gradient for Muskelishvili
        plot(grad_wee*1e3,y_delta_wee,'LineStyle','-.','Color',orange,...
            'LineWidth',1.5) % incorrect slip gradient for Weertman
    end
    plot(grad(:,i_snap_ref)*1e3,y_delta(:,i_snap_ref),'LineStyle','-','Color',red,...
        'LineWidth',1.5) % correct slip gradient
    hold off
    xlabel('$\nabla{\it\delta}$ (mm/m)','Interpreter','latex','FontSize',11)
    % % % ylabel('$\it y \rm(m)$','Interpreter','latex','FontSize',11)
    axis([x_min x_max y_min y_max])
    ifs_plot_text_post_slip % indicates y_tilde_1 ... y_tilde_4 on plot 
    if flag.plot_cap == 1
        title('Slip gradient','FontSize',10,'FontWeight','normal');
    end
    box on
    
    subplot(1,3,3)
    hold on
%     x_min = 0; % mm
%     x_max = 200; % mm
    x_min = x_plot.min_delta_1*1e3; % mm
    x_max = x_plot.max_delta_1*1e3; % mm
    y_min = y_plot.min_delta_1;
    y_max = y_plot.max_delta_1;
    line([x_min x_max],[a a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-a -a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[b b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-b -b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[0 0],'LineStyle','-','Color',black,'LineWidth',0.5)
    line([0 0],[y_min y_max],'LineStyle','-','Color',black,'LineWidth',0.5)
    if flag.coupled == 1 && flag.plot_amu == 1 % triggers additional plotting of incorrect ...
            % results
        line([x_min x_max],[y_til_mus(2) y_til_mus(2)],'LineStyle','-',...
            'Color',orange,'LineWidth',1.0)
        line([x_min x_max],[y_til_mus(3) y_til_mus(3)],'LineStyle','-',...
            'Color',orange,'LineWidth',1.0)
        line([x_min x_max],[y_til_wee(2) y_til_wee(2)],'LineStyle','-.',...
            'Color',orange,'LineWidth',1.0)
        line([x_min x_max],[y_til_wee(3) y_til_wee(3)],'LineStyle','-.',...
            'Color',orange,'LineWidth',1.0)
    end
    line([x_min x_max],[y_til_snap(4,i_snap_ref) y_til_snap(4,i_snap_ref)],'LineStyle','-'...
        ,'Color',blue,'LineWidth',1.0)
    line([x_min x_max],[y_til_snap(3,i_snap_ref) y_til_snap(3,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    line([x_min x_max],[y_til_snap(2,i_snap_ref) y_til_snap(2,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    line([x_min x_max],[y_til_snap(1,i_snap_ref) y_til_snap(1,i_snap_ref)],'LineStyle','-',...
        'Color',blue,'LineWidth',1.0)
    if flag.coupled == 1 && flag.plot_amu == 1 % triggers additional plotting of incorrect ...
            % results
        [i_bot,~,y_delta_mus_bot] = find( y_delta_mus .* ( y_til_mus(1) < y_delta_mus) .* ...
                                                         ( y_delta_mus < y_til_mus(2) ) );
        [i_top,~,y_delta_mus_top] = find( y_delta_mus .* ( y_til_mus(3) < y_delta_mus) .* ...
                                                         ( y_delta_mus < y_til_mus(4) ) );
        delta_mus_bot = delta_mus(i_bot); 
        delta_mus_top = delta_mus(i_top);
        plot(delta_mus_bot*1e3,y_delta_mus_bot,'LineStyle','-','Color',orange,...
            'LineWidth',1.5) % incorrect slip for Muskelishvili
        plot(delta_mus_top*1e3,y_delta_mus_top,'LineStyle','-','Color',orange,...
            'LineWidth',1.5) % incorrect slip for Muskelishvili
        [i_bot,~,y_delta_wee_bot] = find( y_delta_wee .* ( y_til_wee(1) < y_delta_wee) .* ...
                                                         ( y_delta_wee < y_til_wee(2) ) );
        [i_top,~,y_delta_wee_top] = find( y_delta_wee .* ( y_til_wee(3) < y_delta_wee) .* ...
                                                         ( y_delta_wee < y_til_wee(4) ) );
        delta_wee_bot = delta_wee(i_bot); 
        delta_wee_top = delta_wee(i_top);
        plot(delta_wee_bot*1e3,y_delta_wee_bot,'LineStyle','-.','Color',orange,...
            'LineWidth',1.5) % incorrect slip for Weertman
        plot(delta_wee_top*1e3,y_delta_wee_top,'LineStyle','-.','Color',orange,...
            'LineWidth',1.5) % incorrect slip for Weertman
    end
    plot(delta(:,i_snap_ref)*1e3,y_delta(:,i_snap_ref),'LineStyle','-','Color',red,...
        'LineWidth',1.5) % correct slip
    hold off
    xlabel('$\delta$ (mm)','Interpreter','latex','FontSize',11)
    % % % ylabel('$\it y \rm(m)$','Interpreter','latex','FontSize',11)
    axis([x_min x_max y_min y_max])
    ifs_plot_text_post_slip % indicates y_tilde_1 ... y_tilde_4 on plot 
    if flag.plot_cap == 1
        title('Slip','FontSize',10,'FontWeight','normal');
    end
    box on    
    
