% ifs_plot_snaps_shear_Coulomb_multiple
    
    subplot(1,2,1)
    x_min = x_plot.min_sigma;
    x_max = x_plot.max_sigma;
    y_min = y_plot.min_sigma;
    y_max = y_plot.max_sigma;
    % Plot patches representing fault blocks:
    f_asp = 1.833; % aspect ratio depending on type of Matlab plot
    if admin.input == 04 && model.t_f == 190 
        offset = (x_max - x_min) / 4.6; % input file 04; large offset case
    else
        offset = (x_max - x_min) / 3.4; % influences horizontal spacing between blocks
    end
    ifs_plot_fault_blocks(model,plotpar,f_asp,offset,x_max,x_min,y_max,y_min) 
    % Plot data:
    line([x_min x_max],[y_pre_snap(4,i_snap_ref) y_pre_snap(4,i_snap_ref)],'LineStyle','-',...
        'Color',green,'LineWidth',1.0)
    line([x_min x_max],[y_pre_snap(3,i_snap_ref) y_pre_snap(3,i_snap_ref)],'LineStyle','-',...
        'Color',green,'LineWidth',1.0)
    line([x_min x_max],[y_pre_snap(2,i_snap_ref) y_pre_snap(2,i_snap_ref)],'LineStyle','-',...
        'Color',green,'LineWidth',1.0)
    line([x_min x_max],[y_pre_snap(1,i_snap_ref) y_pre_snap(1,i_snap_ref)],'LineStyle','-',...
        'Color',green,'LineWidth',1.0)
    line([x_min x_max],[-b -b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-a -a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[b b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[a a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[0 0],'LineStyle','-','Color',black,'LineWidth',0.5)
    line([0 0],[y_min y_max],'LineStyle','-','Color',black,'LineWidth',0.5)
    for i_snap = [1:i_snap_ref-1,i_snap_ref+1:n_snap]
        plot(sigma_slip(:,i_snap)/1e6,y_sigma(:,i_snap),'-','LineWidth',1,'Color',coal) %...
            % right slip threshold; only fault in reservoir "sees" incremental pressure
        plot(sigma_shear_comb(:,i_snap)/1e6,y_sigma(:,i_snap),'-','LineWidth',1,'Color',...
            coal) % shear stress
    end
    plot(sigma_slip(:,i_snap_ref)/1e6,y_sigma(:,i_snap_ref),'-','LineWidth',1.5,...
        'Color',black) % right slip threshold for reference pressure
    plot(sigma_shear_comb(:,i_snap_ref)/1e6,y_sigma(:,i_snap_ref),'-','LineWidth',1.5,...
        'Color',red) % shear stress for reference pressure
    hold off
    switch flag.plot_nota
        case 0
            xlabel('$\rm \Sigma_{\parallel}$ and $\Sigma_{sl}$ (MPa)','Interpreter','latex',...
                'FontSize',11)
        case 1
            xlabel('$\tau$ and $\tau_{sl}$ (MPa)','Interpreter','latex','FontSize',11)
    end
    ylabel('$\it y \rm(m)$','Interpreter','latex','FontSize',11)
    axis([x_min x_max y_min y_max])
    ifs_plot_text_pre_slip % indicates y_1 ... y_4 on plot 
    if flag.plot_cap == 1
        [t,s] = title('plot\_snaps','Shear stress and slip boundary'); % first line: ...
            % plot file locator
        t.Color = red;
        t.FontSize = 10;
        s.FontSize = 10;
        t.FontWeight = 'normal';
        s.FontWeight = 'normal';
    end
    box on
    
    subplot(1,2,2)
    hold on
    x_min = x_plot.min_sigma_C;
    x_max = x_plot.max_sigma_C;
    y_min = y_plot.min_sigma;
    y_max = y_plot.max_sigma;
    % Plot patches representing fault blocks:
    f_asp = 1.833; % aspect ratio depending on type of Matlab plot
    if admin.input == 04 && model.t_f == 190 
        offset = (x_max - x_min) / 4.6; % input file 04; large offset case
    else
        offset = (x_max - x_min) / 3.4; % influences horizontal spacing between blocks
    end
    ifs_plot_fault_blocks(model,plotpar,f_asp,offset,x_max,x_min,y_max,y_min) 
    % Plot data:
    line([x_plot.min_sigma_1 x_plot.min_sigma_1],...
        [y_plot.min_delta_1 y_plot.max_delta_1],'LineStyle','-.','Color',black,'LineWidth',0.5)
    line([x_plot.min_sigma_1 x_plot.max_sigma_1],...
        [y_plot.min_delta_1 y_plot.min_delta_1],'LineStyle','-.','Color',black,'LineWidth',0.5)
    line([x_plot.min_sigma_1 x_plot.max_sigma_1],...
        [y_plot.max_delta_1 y_plot.max_delta_1],'LineStyle','-.','Color',black,'LineWidth',0.5)
    line([x_plot.max_sigma_1 x_plot.max_sigma_1],...
        [y_plot.min_delta_1 y_plot.max_delta_1],'LineStyle','-.','Color',black,'LineWidth',0.5)
    line([x_min x_max],[y_pre_snap(4,i_snap_ref) y_pre_snap(4,i_snap_ref)],'LineStyle','-',...
        'Color',green,'LineWidth',1.0)
    line([x_min x_max],[y_pre_snap(3,i_snap_ref) y_pre_snap(3,i_snap_ref)],'LineStyle','-',...
        'Color',green,'LineWidth',1.0)
    line([x_min x_max],[y_pre_snap(2,i_snap_ref) y_pre_snap(2,i_snap_ref)],'LineStyle','-',...
        'Color',green,'LineWidth',1.0)
    line([x_min x_max],[y_pre_snap(1,i_snap_ref) y_pre_snap(1,i_snap_ref)],'LineStyle','-',...
        'Color',green,'LineWidth',1.0)
    line([0 0],[y_min y_max],'LineStyle','-','Color',black,'LineWidth',0.5)
    line([x_min x_max],[b b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[a a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-a -a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-b -b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[0 0],'LineStyle','-','Color',black,'LineWidth',0.5)
    for i_snap = [1:i_snap_ref-1,i_snap_ref+1:n_snap]
        plot(sigma_C(:,i_snap)/1e6,y_sigma(:,i_snap),'LineStyle','-','Color',coal,...
            'LineWidth',1) % pre-slip Coulomb stress
    end
    plot(sigma_C(:,i_snap_ref)/1e6,y_sigma(:,i_snap_ref),'LineStyle','-','Color',red,...
        'LineWidth',1.5) % pre-slip Coulomb stress for reference pressure
    hold off
    switch flag.plot_nota
        case 0
            xlabel('$\Sigma_C$ (MPa) ','Interpreter','latex','FontSize',11)
        case 1
            xlabel('$\tau_C$ (MPa) ','Interpreter','latex','FontSize',11)
    end
    axis([x_min x_max y_min y_max])
    ifs_plot_text_pre_slip % indicates y_1 ... y_4 on plot 
    if flag.plot_cap == 1
        title('Coulomb stress','FontSize',10,'FontWeight','normal');
    end
    box on
  
