% ifs_plot_snaps_slip_and_post_C_stress_single.m
        
    subplot(1,2,1) % slip
    x_min = x_plot.min_delta *1e3; % mm
    x_max = x_plot.max_delta *1e3; % mm
    y_min = y_plot.min_delta;
    y_max = y_plot.max_delta;
    % Plot patches representing fault blocks:
    f_asp = 1.833; % aspect ratio depending on type of Matlab plot
    if admin.input == 04 && model.t_f == 190 
        offset = (x_max - x_min) / 4.6; % input file 04; large offset case
    else
        offset = (x_max - x_min) / 3.4; % influences horizontal spacing between blocks
    end
    ifs_plot_fault_blocks(model,plotpar,f_asp,offset,x_max,x_min,y_max,y_min) 
    % Plot data:
    hold on
    line([x_min x_max],[y_til_snap(4,i_snap_ref) y_til_snap(4,i_snap_ref)],'LineStyle',...
        '-','Color',blue,'LineWidth',1.0)
    if y_til_snap(2,i_snap_ref) ~= y_til_snap(3,i_snap_ref) % slip patches have not yet merged 
        line([x_min x_max],[y_til_snap(3,i_snap_ref) y_til_snap(3,i_snap_ref)],'LineStyle',...
            '-','Color',blue,'LineWidth',1.0)
        line([x_min x_max],[y_til_snap(2,i_snap_ref) y_til_snap(2,i_snap_ref)],'LineStyle',...
            '-','Color',blue,'LineWidth',1.0)
    end
    line([x_min x_max],[y_til_snap(1,i_snap_ref) y_til_snap(1,i_snap_ref)],'LineStyle',...
        '-','Color',blue,'LineWidth',1.0)
    line([0 0],[y_min y_max],'LineStyle','-','Color',black,'LineWidth',0.5)
    line([x_min x_max],[b b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[a a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-a -a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-b -b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[0 0],'LineStyle','-','Color',black,'LineWidth',0.5)
    plot(delta(:,i_snap_ref)*1e3,y_delta(:,i_snap_ref),'-','LineWidth',1.5,'Color',red) % slip
    hold off
    xlabel('$\delta$ (mm)','Interpreter','latex','FontSize',11)
    ylabel('$\it y \rm(m)$','Interpreter','latex','FontSize',11)
    axis([x_min x_max y_min y_max])
    ifs_plot_text_post_slip % indicates y_tilde_1 ... y_tilde_4 on plot 
    if flag.plot_cap == 1
        title('Slip','FontSize',10,'FontWeight','normal');
    end
    box on

    subplot(1,2,2) % post-Coulomb stress
    x_min = x_plot.min_sigma_C;
    x_max = x_plot.max_sigma_C;
    y_min = y_plot.min_sigma;
    y_max = y_plot.max_sigma;
    % Plot patches representing fault blocks:
    f_asp = 1.833; % aspect ratio depending on type of Matlab plot
    if admin.input == 04 && model.t_f == 190 
        offset = (x_max - x_min) / 4.6; % input file 04; large offset case
    else
        offset = (x_max - x_min) / 3.4; % influences horizontal spacing between blocks
    end
    ifs_plot_fault_blocks(model,plotpar,f_asp,offset,x_max,x_min,y_max,y_min) 
    % Plot data:
    hold on
    line([x_min x_max],[y_til_snap(4,i_snap_ref) y_til_snap(4,i_snap_ref)],'LineStyle',...
        '-','Color',blue,'LineWidth',1.0)
    if y_til_snap(2,i_snap_ref) ~= y_til_snap(3,i_snap_ref) % slip patches have not yet merged 
        line([x_min x_max],[y_til_snap(3,i_snap_ref) y_til_snap(3,i_snap_ref)],'LineStyle',...
            '-','Color',blue,'LineWidth',1.0)
        line([x_min x_max],[y_til_snap(2,i_snap_ref) y_til_snap(2,i_snap_ref)],'LineStyle',...
            '-','Color',blue,'LineWidth',1.0)
    end
    line([x_min x_max],[y_til_snap(1,i_snap_ref) y_til_snap(1,i_snap_ref)],'LineStyle',...
        '-','Color',blue,'LineWidth',1.0)
    line([0 0],[y_min y_max],'LineStyle','-','Color',black,'LineWidth',0.5)
    line([x_min x_max],[b b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[a a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-a -a],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[-b -b],'LineStyle',':','Color',black,'LineWidth',1)
    line([x_min x_max],[0 0],'LineStyle','-','Color',black,'LineWidth',0.5)
    plot((sigma_C(:,i_snap_ref)+sigma_brv(:,i_snap_ref))/1e6,y_sigma(:,i_snap_ref),...
        'LineStyle','-','Color',red,'LineWidth',1.5) % post-slip Coulomb stress    
    hold off
    switch flag.plot_nota
        case 0
            xlabel('$\Sigma_C$ (MPa) ','Interpreter','latex','FontSize',11)
        case 1
            xlabel('$\tilde\tau_C$ (MPa) ','Interpreter','latex','FontSize',11)
    end
    % % % ylabel('$y$ (m) ','Interpreter','latex','FontSize',11)
    axis([x_min x_max y_min y_max])
    ifs_plot_text_post_slip % indicates y_tilde_1 ... y_tilde_4 on plot 
    if flag.plot_cap == 1
        [t,s] = title('plot\_snaps','Coulomb stress'); % first line: ...
            % plot file locator
        t.Color = red;
        t.FontSize = 10;
        s.FontSize = 10;
        t.FontWeight = 'normal';
        s.FontWeight = 'normal';
    end
    box on
    

