function p_step_new = ifs_pressure_step_check(numpar,p_step_new,p_step_old)
%
% Checks absolute and relative growth and shrinkage of pressure steps and corrects if
% necessary. 
%

% Retrieve:
p_step_max = numpar.p_step_max; % maximum allowed (largest absolute value) pressure step ...
    % size (negative for depletion), Pa
p_step_min = numpar.p_step_min; % minimum allowed (smallest absolute value) pressure step ...
    % size (negative for depletion), Pa
p_step_check = numpar.p_step_check; % maximum allowed relative growth of pressure step size, -

% Check step size:
if abs(p_step_new) > abs(p_step_max)
    p_step_new = p_step_max; % limit absolute growth
end
if abs(p_step_new) > p_step_check * abs(p_step_old)
    p_step_new = p_step_check * p_step_old; % limit relative growth
end
if abs(p_step_new) < abs(p_step_min) % limit absolute shrinkage
    p_step_new = p_step_min;
end
if abs(p_step_new) < (1/p_step_check) * abs(p_step_old)
    p_step_new = (1/p_step_check) * p_step_old; % limit rel. shrinkage
end
