function [correct_step,y_step_max_obs] = ifs_pressure_step_correct(numpar,j,y_pre,y_til)
%
% Checks if the observed y_step value exceeds the maximum allowed y_step value, where y_step is
% the largest change in either the pre-slip Coulomb stress zeros y_pre(i,j), i = 1,...,4, or
% the slip patch boundaries y_til(i,j), and where j is the current incremental pressure step.

% Retrieve:
y_step_max = numpar.y_step_max; % maximum allowed y_step value, m

% Initialize: 
correct_step = 0; % flag to indicate need for correcting pressure step, -
    
% Compute:
y_step_pre_obs = max(abs(y_pre(:,j) - y_pre(:,j-1))); % maximum observed change in pre-slip ...
    % Coulomb stress zeros y_pre(i,j), -
y_step_til_obs = max(abs(y_til(:,j) - y_til(:,j-1))); %  % maximum observerd ...
    % change in slip patch boundaries y_til(i,j), -
y_step_max_obs = max([y_step_pre_obs,y_step_til_obs]);

% Check:
if y_step_max_obs > y_step_max
    correct_step = 1;
end
